@font-face {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 400;
    font-display: swap;
    src: url(https://fonts.gstatic.com/s/poppins/v15/pxiEyp8kv8JHgFVrJJbecmNE.woff2) format('woff2');
    unicode-range: U+0900-097F, U+1CD0-1CF6, U+1CF8-1CF9, U+200C-200D, U+20A8, U+20B9, U+25CC, U+A830-A839, U+A8E0-A8FB;
  }

.footer-wrapper {
  display: inline-flex;
  position: fixed;
  bottom: 50px;
  left: 50%;
  margin-left: -175px;
}

.icon {
  position: relative;
  background-color: #ffffff;
  border-radius: 50%;
  padding: 15px;
  margin: 10px;
  width: 15px;
  height: 15px;
  font-size: 18px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  box-shadow: 0 10px 10px rgba(0, 0, 0, 0.1);
  cursor: pointer;
  transition: all 0.2s cubic-bezier(0.68, -0.55, 0.265, 1.55);
}

.tooltip {
  position: absolute;
  top: 0;
  font-size: 14px;
  background-color: #ffffff;
  color: #ffffff;
  padding: 5px 8px;
  border-radius: 5px;
  box-shadow: 0 10px 10px rgba(0, 0, 0, 0.1);
  opacity: 0;
  pointer-events: none;
  transition: all 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
}

.tooltip::before {
  position: absolute;
  content: "";
  height: 8px;
  width: 8px;
  background-color: #ffffff;
  bottom: -3px;
  left: 50%;
  transform: translate(-50%) rotate(45deg);
  transition: all 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
}

.icon:hover .tooltip {
  top: -45px;
  opacity: 1;
  visibility: visible;
  pointer-events: auto;
}

.icon:hover span,
.icon:hover .tooltip {
  text-shadow: 0px -1px 0px rgba(0, 0, 0, 0.1);
}

.facebook,
.twitter,
.youtube,
.instagram,
.github {
    background-color: #ffffff;
}

.facebook {
    color: #3b5999;
}

.twitter {
    color: #46c1f6;
}

.instagram {
    color: #e1306c;
}

.github {
    color: #333333;
}

.youtube {
    color: #de463b;
}

.facebook:hover,
.facebook:hover .tooltip,
.facebook:hover .tooltip::before {
  background-color: #3b5999;
  color: #ffffff;
}

.twitter:hover,
.twitter:hover .tooltip,
.twitter:hover .tooltip::before {
  background-color: #46c1f6;
  color: #ffffff;
}

.instagram:hover,
.instagram:hover .tooltip,
.instagram:hover .tooltip::before {
  background-color: #e1306c;
  color: #ffffff;
}

.github:hover,
.github:hover .tooltip,
.github:hover .tooltip::before {
  background-color: #333333;
  color: #ffffff;
}

.youtube:hover,
.youtube:hover .tooltip,
.youtube:hover .tooltip::before {
  background-color: #de463b;
  color: #ffffff;
}